package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum PatentFundsStatus {
	
	NO(0, "未请款"),
	YES(1, "已请款"),
	OTHER(2, "其他");

	private PatentFundsStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, PatentFundsStatus> status = new HashMap<Integer, PatentFundsStatus>();

	static {
		for (PatentFundsStatus value : PatentFundsStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static PatentFundsStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static PatentFundsStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
